Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen
Class DummyClassGenerator

To generate a class that has all the fields and methods, except that fields are not initilized and methods are empty. It's intended for being used as a place holder during code generation of reference to the "this" class itself.

author:
  James Strachan

author:
  Bing Ran

version:
  $Revision: 6778 $

Field Summary
`ClassNode` | `classNode`
`GeneratorContext` | `context`
`ClassVisitor` | `cv`
`String` | `internalBaseClassName`
`String` | `internalClassName`
`MethodVisitor` | `mv`
`String` | `sourceFile`

Constructor Summary
`DummyClassGenerator(GeneratorContext context, ClassVisitor classVisitor, ClassLoader classLoader, String sourceFile)`

Method Summary
`CompileUnit` | `getCompileUnit()`
`void` | `visitAnnotations(AnnotatedNode node)`
`void` | `visitClass(ClassNode classNode)`
`void` | `visitConstructor(ConstructorNode node)`
`void` | `visitField(FieldNode fieldNode)`
`void` | `visitMethod(MethodNode node)`
`void` | `visitParameter(ASTNode node, Parameter parameter)`
`void` | `visitParameters(ASTNode node, def parameters)`
`void` | `visitProperty(PropertyNode statement)` Creates a getter, setter and field

Constructor Detail

### DummyClassGenerator

    public DummyClassGenerator(GeneratorContext context, ClassVisitor classVisitor, ClassLoader classLoader, String sourceFile)

Method Detail

### getCompileUnit

    CompileUnit getCompileUnit()

### visitAnnotations

    public void visitAnnotations(AnnotatedNode node)

### visitClass

    public void visitClass(ClassNode classNode)

### visitConstructor

    public void visitConstructor(ConstructorNode node)

### visitField

    public void visitField(FieldNode fieldNode)

### visitMethod

    public void visitMethod(MethodNode node)

### visitParameter

    void visitParameter(ASTNode node, Parameter parameter)

### visitParameters

    void visitParameters(ASTNode node, def parameters)

### visitProperty

    public void visitProperty(PropertyNode statement)

  Creates a getter, setter and field